'This script accompanies the book Windows Management Instrumentation
'by Matthew Lavy and Ashley Meggitt (New Riders, 2001)
'The code is copyright 2001, Matthew Lavy & Ashley Meggitt
'You are free to use and modify the script at will
'provided you understand that all code here is made available AS IS, with
'NO WARRANTY WHATSOEVER. The authors take NO RESPONSIBILITY AT ALL for
'problems that result from the use of this script or any part thereof

'allcommonnames.vbs - display the names of all users in an
'Active Directory
Option Explicit
Dim strPath
Dim colDomain
strPath = "LDAP://DC=intranet,DC=someorganization,DC=com"
Set colDomain = GetObject(strPath)
displayUsers(colDomain)
Set colDomain = Nothing

Sub displayUsers(colOU)
	Dim refOU
	colOU.Filter = Array("user")
	For Each refUser in colOU
		WScript.Echo refUser.cn
	Next
	colOU.Filter = Array("container","organizationalUnit")
	For Each refOU in colOU
		displayUsers(refOU)
	Next
	colOU.Filter = Empty
End Sub