'This script accompanies the book Windows Management Instrumentation
'by Matthew Lavy and Ashley Meggitt (New Riders, 2001)
'The code is copyright 2001, Matthew Lavy & Ashley Meggitt
'You are free to use and modify the script at will
'provided you understand that all code here is made available AS IS, with
'NO WARRANTY WHATSOEVER. The authors take NO RESPONSIBILITY AT ALL for
'problems that result from the use of this script or any part thereof

'compress.vbs - toggle compression status of a file
Option Explicit
Dim refFile
Set refFile = GetObject("winMgmts:CIM_DataFile='c:\temp\albatross.txt'")
If Not refFile.Compressed then
	If refFile.Compress = 0 Then
		WScript.echo "File compressed successfully"
		Set refFile = Nothing
	Else
		WScript.echo "File could not be compressed"
	End If
Else
	If refFile.Uncompress = 0 Then
		WScript.echo "File uncompressed successfully"
		Set refFile = Nothing
	Else
		WScript.echo "File could not be uncompressed"
	End If
End If

'if we were to invoke a property of refFile here we may get a runtime error
'if refFile has been set to nothing, but we know that we will never get
'incorrect information
Set refFile = Nothing