'This script accompanies the book Windows Management Instrumentation
'by Matthew Lavy and Ashley Meggitt (New Riders, 2001)
'The code is copyright 2001, Matthew Lavy & Ashley Meggitt
'You are free to use and modify the script at will
'provided you understand that all code here is made available AS IS, with
'NO WARRANTY WHATSOEVER. The authors take NO RESPONSIBILITY AT ALL for
'problems that result from the use of this script or any part thereof

'killitfile.vbs - terminate a named process on all machines whose names
'are listed in a given file
Option Explicit
On Error Resume Next
Dim refFSO
Dim refInputFile
Dim strMoniker

'Check that an argument has been provided
If WScript.Arguments.Count < 1 Then
	WScript.Echo "You must provide a filename!"
	WScript.Quit
End If

'create a FileSystemObject object
Set refFSO = CreateObject("Scripting.FileSystemObject")
Set refInputFile = refFSO.OpenTextFile(WScript.Arguments(0),1)
If Err<>0 then
	WScript.Echo "Could not find the file " & WScript.Arguments(0)
Else
	While Not refInputFile.AtEndOfStream
		StrMoniker = "winMgmts:\\" & refInputFile.ReadLine()
		Wscript.echo strMoniker
		'do something useful in here
	Wend
	refInputFile.Close
	Set refInputFile = Nothing
End If
Set refFSO = Nothing
