'This script accompanies the book Windows Management Instrumentation
'by Matthew Lavy and Ashley Meggitt (New Riders, 2001)
'The code is copyright 2001, Matthew Lavy & Ashley Meggitt
'You are free to use and modify the script at will
'provided you understand that all code here is made available AS IS, with
'NO WARRANTY WHATSOEVER. The authors take NO RESPONSIBILITY AT ALL for
'problems that result from the use of this script or any part thereof

/* service-events.js - go ping within 10 seconds of
* a service starting or stopping
*/
var refWMI;
var refSink;
var strQuery;

//connect to WMI and create a sink object
refWMI = GetObject("winMgmts:");
refSink = WScript.CreateObject("WBemScripting.SWbemSink","EVENTSINK_");

//execute an async notification query and block with a msgbox
strQuery = "SELECT * FROM __instancemodificationevent " +
	"WITHIN 10 WHERE TargetInstance ISA 'Win32_Service'"
refWMI.ExecNotificationQueryAsync(refSink, strQuery);
WScript.Echo("Now blocked and waiting...");

//cancel event notification
refSink.Cancel();
refSink = null;
refWMI = null;

//callback for Event Notification
function EVENTSINK_OnObjectReady(refEvent,refContext)
{
	WScript.Echo(refEvent.TargetInstance.Name
		+ " has "
		+ (refEvent.TargetInstance.Started ? "started" : "stopped")
	);
}