'This script accompanies the book Windows Management Instrumentation
'by Matthew Lavy and Ashley Meggitt (New Riders, 2001)
'The code is copyright 2001, Matthew Lavy & Ashley Meggitt
'You are free to use and modify the script at will
'provided you understand that all code here is made available AS IS, with
'NO WARRANTY WHATSOEVER. The authors take NO RESPONSIBILITY AT ALL for
'problems that result from the use of this script or any part thereof

'advancedreboot.vbs - reboot STYX and report success or failure
Option Explicit
On Error Resume Next
Dim refWMIService
Dim colComputers
Dim refComputer
Set refWMIService = GetObject("winMgmts:\\STYX")

'The line above may well fail, so we must check Err
If Err.Number = 0 Then
	'good - we managed to connect without error
	Set colComputers = refWMIService.ExecQuery( _
		"SELECT * FROM Win32_OperatingSystem")
	For Each refComputer In colComputers
		If refComputer.Reboot() <> 0 Then
			WScript.Echo "Reboot failed"
		Else
			WScript.Echo "Computer rebooted"
		End If
	Next
Else

	'we have an error, so report it and clear it
	WScript.Echo "Could not connect to remote computer"
	WScript.Echo "Error details: " & Err.Description & _
			"(" & Err.Number & ")"
	Err.Clear()
End If

Set refComputer = Nothing
Set refWMIService = Nothing