'This script accompanies the book Windows Management Instrumentation
'by Matthew Lavy and Ashley Meggitt (New Riders, 2001)
'The code is copyright 2001, Matthew Lavy & Ashley Meggitt
'You are free to use and modify the script at will
'provided you understand that all code here is made available AS IS, with
'NO WARRANTY WHATSOEVER. The authors take NO RESPONSIBILITY AT ALL for
'problems that result from the use of this script or any part thereof

'asynchronousRegistration.vbs - connect to WMI and
'register for asynchronous event notification
Option Explicit
Dim refWMI
Dim refSink
Dim strQuery

'connect to WMI and create a sink object
Set refWMI = GetObject("winMgmts:{(security)}")
Set refSink = CreateObject("WBemScripting.SWbemSink")
WScript.ConnectObject refSink ,"EVENTSINK_"

'execute an async notification query
strQuery = "SELECT * FROM __InstanceCreationEvent " & _
	"WHERE TargetInstance ISA 'Win32_NTLogEvent'"

refWMI.ExecNotificationQueryAsync refSink, strQuery
set refWMI = Nothing

'callback for Event Notification
Sub EVENTSINK_OnObjectReady(refEvent,refContext)
	WScript.Echo refEvent.Path_.Class
End Sub
