'This script accompanies the book Windows Management Instrumentation
'by Matthew Lavy and Ashley Meggitt (New Riders, 2001)
'The code is copyright 2001, Matthew Lavy & Ashley Meggitt
'You are free to use and modify the script at will
'provided you understand that all code here is made available AS IS, with
'NO WARRANTY WHATSOEVER. The authors take NO RESPONSIBILITY AT ALL for
'problems that result from the use of this script or any part thereof

'enumkeys.vbs - recursively list the names of all
'keys under HKLM\SOFTWARE
Option Explicit
Dim refRegistry
Const HKEY_LOCAL_MACHINE = &H80000002

Set refRegistry = getobject("winmgmts:root\default:stdregprov")

Enumerate "SOFTWARE\Microsoft",refRegistry,0

Set refRegistry = Nothing

'recursive subroutine call
Sub Enumerate(strKey,refRegistry,numLevel)
	Dim arrSubKeys
	Dim strSubKey
	Dim strIndent
	Dim i
	'prefix output with correct indentation level
	strIndent = ""
	For i = 0 To numLevel
		strIndent = strIndent + " "
	Next

	'display output
	WScript.Echo strIndent & strKey
	'enumerate any subkeys
	If refRegistry.EnumKey( _
	 HKEY_LOCAL_MACHINE, strKey, arrSubKeys) = 0 Then
		For Each strSubKey In arrSubKeys
			'recursively call ourselves
			Enumerate strKey & "\" & strSubKey, refRegistry, numLevel + 1
		Next
	Else
		WScript.Echo "Unable to enumerate. Sorry."
		WScript.Quit
	End If
End Sub