'This script accompanies the book Windows Management Instrumentation
'by Matthew Lavy and Ashley Meggitt (New Riders, 2001)
'The code is copyright 2001, Matthew Lavy & Ashley Meggitt
'You are free to use and modify the script at will
'provided you understand that all code here is made available AS IS, with
'NO WARRANTY WHATSOEVER. The authors take NO RESPONSIBILITY AT ALL for
'problems that result from the use of this script or any part thereof

'logmanydeliveries.vbs - register to receive notification
'of new entries in the Event Log.
'Report each entry that occurs
Option Explicit
Dim refWMI
Dim refEventSource
Dim strQuery
Dim refEvent

Set refWMI = GetObject("winMgmts:{(security)}")
strQuery = "SELECT * FROM __InstanceCreationEvent " & _
	"WHERE TargetInstance ISA 'Win32_NTLogEvent'"

Set refEventSource = refWMI.ExecNotificationQuery(strQuery)

'loop forever, waiting for events and announcing them
While True
	Set refEvent = refEventSource.NextEvent()
	WScript.Echo refEvent.TargetInstance.SourceName & _
		" has just registered an Event. Details: " & _
		refEvent.TargetInstance.Message
Wend

'this will never get called, but never mind...
Set refEvent = Nothing
Set refEventSource = Nothing
Set refWMI = Nothing