'This script accompanies the book Windows Management Instrumentation
'by Matthew Lavy and Ashley Meggitt (New Riders, 2001)
'The code is copyright 2001, Matthew Lavy & Ashley Meggitt
'You are free to use and modify the script at will
'provided you understand that all code here is made available AS IS, with
'NO WARRANTY WHATSOEVER. The authors take NO RESPONSIBILITY AT ALL for
'problems that result from the use of this script or any part thereof

'makeEventFilter.vbs - create an __EventFilter, configure it
'to receive notification to changes to Win32_Service objects
'and save it in the repository
Option Explicit
On Error Resume Next
Dim refWMI
Dim refNewFilter
Set refWMI = GetObject("winMgmts:")
Set refNewFilter = refWMI.Get("__EventFilter").SpawnInstance_()
With refNewFilter
	.Name = "ServiceChangeFilter"
	.QueryLanguage = "WQL"
	.Query = "SELECT * FROM __InstanceModificationEvent " & _
		"WITHIN 120 WHERE TargetInstance ISA 'Win32_Service'"
End With
refNewFilter.Put_()

If Err = 0 Then
	WScript.Echo refNewFilter.Name & _
		" successfully written to repository"
Else
	WScript.Echo "Oh dear. I could not create a new __EventFilter"
End If