'This script accompanies the book Windows Management Instrumentation
'by Matthew Lavy and Ashley Meggitt (New Riders, 2001)
'The code is copyright 2001, Matthew Lavy & Ashley Meggitt
'You are free to use and modify the script at will
'provided you understand that all code here is made available AS IS, with
'NO WARRANTY WHATSOEVER. The authors take NO RESPONSIBILITY AT ALL for
'problems that result from the use of this script or any part thereof

'monitorprocs.vbs - report each time a process starts or stops
Option Explicit
Dim refWMI
Dim refEventSource
Dim refEvent
Dim strQuery

'connect to WMI
Set refWMI = GetObject("winMgmts:")

'register to receive the relevant events
strQuery = "SELECT * FROM __InstanceOperationEvent " & _
	"WITHIN 2 WHERE TargetInstance ISA 'Win32_Process'"

Set refEventSource = refWMI.ExecNotificationQuery(strQuery)

'start the endless loop
While True
	'make the blocking call
	Set refEvent = refEventSource.NextEvent()
	'check the classname of the event and perform relevant action
	If refEvent.Path_.Class = "__InstanceCreationEvent" Then
		WScript.Echo "The program " & _
		refEvent.TargetInstance.Name & " has just been launched"
	Else
		If refEvent.Path_.Class = "__InstanceDeletionEvent" Then
			WScript.Echo "The program " & _
				refEvent.TargetInstance.Name & " has been terminated"
		End If
	End If
Wend

'this code below will never run. Oh well...
Set refWMI = Nothing
Set refEventSource = Nothing
Set refEvent = Nothing
