'This script accompanies the book Windows Management Instrumentation
'by Matthew Lavy and Ashley Meggitt (New Riders, 2001)
'The code is copyright 2001, Matthew Lavy & Ashley Meggitt
'You are free to use and modify the script at will
'provided you understand that all code here is made available AS IS, with
'NO WARRANTY WHATSOEVER. The authors take NO RESPONSIBILITY AT ALL for
'problems that result from the use of this script or any part thereof

'services.vbs - list services and report whether
'or not they are running.

Option Explicit
Dim refWMI
Dim colServices
Dim refService

'connect to WMI and retrieve a collection of
'Win32_Service objects
Set refWMI = GetObject("winMgmts:")
Set colServices = refWMI.InstancesOf("Win32_Service")

'loop through collection and report whether each
'service is running
For Each refService In colServices
	If refService.Started Then
		WScript.Echo refService.Name & " is running"
	Else
		WScript.Echo refService.Name & " is not running"
	End If
Next
Set colServices = Nothing
Set refWMI = Nothing
