'This script accompanies the book Windows Management Instrumentation
'by Matthew Lavy and Ashley Meggitt (New Riders, 2001)
'The code is copyright 2001, Matthew Lavy & Ashley Meggitt
'You are free to use and modify the script at will
'provided you understand that all code here is made available AS IS, with
'NO WARRANTY WHATSOEVER. The authors take NO RESPONSIBILITY AT ALL for
'problems that result from the use of this script or any part thereof

'whatuses.vbs - list the program files and libraries
'referenced by a given process on a given machine
Option Explicit
On Error Resume Next
Dim refWMI
Dim colProcesses
Dim refProcess
Dim colFiles
Dim refFile
If WScript.Arguments.Count <> 2 Then
	WScript.Echo "Usage: whatuses.vbs <machine> <process name>"
	WScript.Quit
End If

set refWMI = GetObject("winMgmts:\\" & WScript.Arguments(0))
If Err <> 0 Then
	WScript.Echo "Could not connect to WMI on " & WScript.Arguments(0)
	WScript.Quit
End If

set colProcesses = refWMI.ExecQuery( _
	"SELECT * FROM Win32_Process WHERE Name='" & _
	wscript.arguments(1) & "'")
For Each refProcess in colProcesses
	WScript.Echo refProcess.Name & "(" & refProcess.Handle & ") depends on:"
	set colFiles = refWMI.ExecQuery(_
		"ASSOCIATORS OF {Win32_Process='" & _
		refProcess.handle & "'} WHERE " & _
		"AssocClass=CIM_ProcessExecutable ")

	For Each refFile in colFiles
		WScript.Echo refFile.Name
	Next
Next
set colFiles = Nothing
set colProcesses = Nothing
set refWMI = Nothing
